Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec.custom.sec
Class SecT239K1Curve

    java.lang.Object
      org.bouncycastle.math.ec.ECCurve
          org.bouncycastle.math.ec.ECCurve.AbstractF2m
              org.bouncycastle.math.ec.custom.sec.SecT239K1Curve

public class SecT239K1Curve
extends ECCurve.AbstractF2m

Nested Class Summary

Nested classes inherited from class org.bouncycastle.math.ec.ECCurve
`ECCurve.AbstractF2m, ECCurve.AbstractFp, ECCurve.Config, ECCurve.F2m, ECCurve.Fp`

Field Summary
`protected SecT239K1Point` | `infinity`

Fields inherited from class org.bouncycastle.math.ec.ECCurve
`a, b, cofactor, coord, COORD_AFFINE, COORD_HOMOGENEOUS, COORD_JACOBIAN, COORD_JACOBIAN_CHUDNOVSKY, COORD_JACOBIAN_MODIFIED, COORD_LAMBDA_AFFINE, COORD_LAMBDA_PROJECTIVE, COORD_SKEWED, endomorphism, field, multiplier, order`

Constructor Summary
`SecT239K1Curve()`

Method Summary
`protected ECCurve` | `cloneCurve()`
`ECLookupTable` | `createCacheSafeLookupTable(ECPoint[] points, int off, int len)` Create a cache-safe lookup table for the specified sequence of points.
`protected ECMultiplier` | `createDefaultMultiplier()`
`protected ECPoint` | `createRawPoint(ECFieldElement x, ECFieldElement y)`
`protected ECPoint` | `createRawPoint(ECFieldElement x, ECFieldElement y, ECFieldElement[] zs)`
`ECFieldElement` | `fromBigInteger(java.math.BigInteger x)`
`int` | `getFieldSize()`
`ECPoint` | `getInfinity()`
`int` | `getK1()`
`int` | `getK2()`
`int` | `getK3()`
`int` | `getM()`
`boolean` | `isKoblitz()` Returns true if this is a Koblitz curve (ABC curve).
`boolean` | `isTrinomial()`
`boolean` | `supportsCoordinateSystem(int coord)`

Methods inherited from class org.bouncycastle.math.ec.ECCurve.AbstractF2m
`createPoint, decompressPoint, inverse, isValidFieldElement, randomFieldElement, randomFieldElementMult, solveQuadraticEquation`

Methods inherited from class org.bouncycastle.math.ec.ECCurve
`checkPoint, checkPoints, checkPoints, configure, decodePoint, equals, equals, getA, getAffinePointEncodingLength, getAllCoordinateSystems, getB, getCofactor, getCoordinateSystem, getEndomorphism, getField, getFieldElementEncodingLength, getMultiplier, getOrder, getPreCompInfo, hashCode, importPoint, normalizeAll, normalizeAll, precompute, validatePoint`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### infinity

    protected SecT239K1Point infinity

Constructor Detail

### SecT239K1Curve

    public SecT239K1Curve()

Method Detail

### cloneCurve

    protected ECCurve cloneCurve()

  Specified by:
    `cloneCurve` in class `ECCurve`

### supportsCoordinateSystem

    public boolean supportsCoordinateSystem(int coord)

  Overrides:
    `supportsCoordinateSystem` in class `ECCurve`

### createDefaultMultiplier

    protected ECMultiplier createDefaultMultiplier()

  Overrides:
    `createDefaultMultiplier` in class `ECCurve`

### getFieldSize

    public int getFieldSize()

  Specified by:
    `getFieldSize` in class `ECCurve`

### fromBigInteger

    public ECFieldElement fromBigInteger(java.math.BigInteger x)

  Specified by:
    `fromBigInteger` in class `ECCurve`

### createRawPoint

    protected ECPoint createRawPoint(ECFieldElement x,
                                     ECFieldElement y)

  Specified by:
    `createRawPoint` in class `ECCurve`

### createRawPoint

    protected ECPoint createRawPoint(ECFieldElement x,
                                     ECFieldElement y,
                                     ECFieldElement[] zs)

  Specified by:
    `createRawPoint` in class `ECCurve`

### getInfinity

    public ECPoint getInfinity()

  Specified by:
    `getInfinity` in class `ECCurve`

### isKoblitz

    public boolean isKoblitz()

  Description copied from class: `ECCurve.AbstractF2m`
  Returns true if this is a Koblitz curve (ABC curve).

  Overrides:
    `isKoblitz` in class `ECCurve.AbstractF2m`
  Returns:
    true if this is a Koblitz curve (ABC curve), false otherwise

### getM

    public int getM()

### isTrinomial

    public boolean isTrinomial()

### getK1

    public int getK1()

### getK2

    public int getK2()

### getK3

    public int getK3()

### createCacheSafeLookupTable

    public ECLookupTable createCacheSafeLookupTable(ECPoint[] points,
                                                    int off,
                                                    int len)

  Description copied from class: `ECCurve`
  Create a cache-safe lookup table for the specified sequence of points. All the points MUST belong to this `ECCurve` instance, and MUST already be normalized.

  Overrides:
    `createCacheSafeLookupTable` in class `ECCurve`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD